#%define date    %(echo `date +"%y%m%d"`)

%define name		xine-ui
%define version		0.9.23
#%define release	%{date}
%define release		b3

#%define major	1
#%define libname	libxine%{major}
%define libname		xine-lib
%define libvers		1

%define skindir		%{_datadir}/xine/skins
%define deskdir		%{_datadir}/xine/desktop

%define	ginstall	install -c

Name:		%{name}
Summary:	A Free Audio/Video Player.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Multimedia
Source:		http://xinehq.de/files/%{name}-%{version}.tar.bz2
Source2:	xine.desktop
URL:		http://xinehq.de
Obsoletes:	xine
Requires:	%{libname} >= %{libvers}
BuildPreReq:	%{libname}-devel >= %{libvers}
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	ncurses-devel
BuildArchitectures: i586

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.


%prep
%setup -n %{name}-%{version}

docdir=%{_docdir}
export docdir
# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure.ac configure.ac.save
   cat configure.ac.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure.ac
fi

%build
export CFLAGS="%{optflags}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

# change for lsf conform architectures
if [ "${docdir}" = "/usr/share/doc/packages" ] ; then
   mv configure configure.save
   cat configure.save | sed  -e "s/\${datadir}\/doc\/xine-ui/\${datadir}\/doc\/packages\/xine-ui/g" > configure
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} install
#install -m 644 misc/desktops/xine.wmconfig %{?buildroot:%{buildroot}}%{deskdir}/

%{ginstall} -m 755 -o 0 -g 0 -d ${RPM_BUILD_ROOT}/usr/share/applications/
%{ginstall} -m 644 -o 0 -g 0 %{SOURCE2} ${RPM_BUILD_ROOT}/usr/share/applications/

%post
if [ "$1" = "1" ] || [ "$1" = "2" ] ; then # install or update
  if test -d %{skindir}/metal; then rm -rf %{skindir}/metal; fi
  if test -d %{skindir}/default; then rm -rf %{skindir}/default && ln -s %{skindir}/xinetic %{skindir}/default; fi

  if test ! -d %{_datadir}/icons; then
    %{ginstall} -m 755 -o 0 -g 0 -d %{_datadir}/icons
  fi
  %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine.xpm %{_datadir}/icons/xine.xpm
  if test ! -d %{_datadir}/pixmaps; then
    %{ginstall} -m 755 -o 0 -g 0 -d %{_datadir}/pixmaps
  fi
  if test -d %{_sysconfdir}/X11/wmconfig; then
    %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.wmconfig %{_sysconfdir}/X11/wmconfig/xine
  fi
##  if test -d %{_sysconfdir}/X11/applnk; then
##    if test ! -d %{_sysconfdir}/X11/applnk/Multimedia; then
##      %{ginstall} -m 755 -o 0 -g 0 -d %{_sysconfdir}/X11/applnk/Multimedia
##    fi
##    %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop %{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
##  fi
  # End Icons
  # Gnome
  if test -d /opt/gnome; then
    if test ! -d /opt/gnome/share/pixmaps; then
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/gnome/share/pixmaps
    fi
    %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine.xpm /opt/gnome/share/pixmaps/xine.xpm
    if test -d /opt/gnome/share/gnome/apps/Multimedia; then
      %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop /opt/gnome/share/gnome/apps/Multimedia/xine.desktop
    else
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/gnome/share/gnome/apps/Multimedia
      %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop /opt/gnome/share/gnome/apps/Multimedia/xine.desktop
    fi
  else
    if test -d %{_datadir}/gnome/apps; then
      if test -d %{_datadir}/gnome/apps/Multimedia; then
        %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop %{_datadir}/gnome/apps/Multimedia/xine.desktop
      else
        %{ginstall} -m 755 -o 0 -g 0 -d %{_datadir}/gnome/apps/Multimedia
        %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop %{_datadir}/gnome/apps/Multimedia/xine.desktop
      fi
    fi
  fi
  # End Gnome
  # Kde3
  if test -d /opt/kde3/; then
    DIR_HI3=/opt/kde3/share/icons/hicolor
    DIR_LO3=/opt/kde3/share/icons/locolor
    HIRES3='48x48 32x32 22x22'
    LORES3='32x32 22x22 16x16'
    for hires in $HIRES3; do
      %{ginstall} -m 755 -o 0 -g 0 -d $DIR_HI3/$hires/apps
      %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine_$hires.png $DIR_HI3/$hires/apps/xine.png
    done
    for lores in $LORES3; do
      %{ginstall} -m 755 -o 0 -g 0 -d $DIR_LO3/$lores/apps
      %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine_$lores.png $DIR_LO3/$lores/apps/xine.png
    done
    if test ! -d /opt/kde3/share/applnk/Multimedia; then
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde3/share/applnk/Multimedia
    fi
    cat %{deskdir}/xine.desktop | sed -e "s/Icon=xine.xpm/Icon=xine/g" -e "s/Exec=xine/Exec=xine %U/g" > %{deskdir}/xine.desktop.kde
    %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop.kde /opt/kde3/share/applnk/Multimedia/xine.desktop
    rm %{deskdir}/xine.desktop.kde
  fi
  # End Kde3
  # Kde2
  if test -d /opt/kde2/; then
    DIR_HI=/opt/kde2/share/icons/hicolor
    DIR_LO=/opt/kde2/share/icons/locolor
    HIRES='48x48 32x32 22x22'
    LORES='32x32 22x22 16x16'
    for hires in $HIRES; do
      %{ginstall} -m 755 -o 0 -g 0 -d $DIR_HI/$hires/apps
      %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine_$hires.png $DIR_HI/$hires/apps/xine.png
    done
    for lores in $LORES; do
      %{ginstall} -m 755 -o 0 -g 0 -d $DIR_LO/$lores/apps
      %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine_$lores.png $DIR_LO/$lores/apps/xine.png
    done
    if test ! -d /opt/kde2/share/applnk/Multimedia; then
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde2/share/applnk/Multimedia
    fi
    cat %{deskdir}/xine.desktop | sed -e "s/Icon=xine.xpm/Icon=xine/g" -e "s/Exec=xine/Exec=xine %U/g" > %{deskdir}/xine.desktop.kde
    %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop.kde /opt/kde2/share/applnk/Multimedia/xine.desktop
    rm %{deskdir}/xine.desktop.kde
  else
    if test -d %{_datadir}/applnk/Multimedia; then
      if test ! -d %{_datadir}/applnk/Multimedia; then
        %{ginstall} -m 755 -o 0 -g 0 -d %{_datadir}/applnk/Multimedia
      fi
      %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop %{_datadir}/applnk/Multimedia/xine.desktop
    fi
  fi
  # End Kde2
  # Kde
  if test -d /opt/kde; then
    if test ! -d /opt/kde/share/icons; then
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde/share/icons
    fi
    if test ! -d /opt/kde/share/applnk/Multimedia; then
      %{ginstall} -m 755 -o 0 -g 0 -d /opt/kde/share/applnk/Multimedia
    fi
    %{ginstall} -m 644 -o 0 -g 0 %{_datadir}/pixmaps/xine.xpm /opt/kde/share/icons/xine.xpm
    %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop /opt/kde/share/applnk/Multimedia/xine.desktop
  else
    if test -d %{_datadir}/applnk/Multimedia; then
      %{ginstall} -m 644 -o 0 -g 0 %{deskdir}/xine.desktop %{_datadir}/applnk/Multimedia/xine.desktop
    fi
  fi
  # End Kde
fi

%preun
if [ "$1" = "0" ]; then # remove
  DIR_HI=/opt/kde2/share/icons/hicolor
  DIR_LO=/opt/kde2/share/icons/locolor
  DIR_HI3=/opt/kde3/share/icons/hicolor
  DIR_LO3=/opt/kde3/share/icons/locolor
  # icon dimensions
  HIRES='48x48 32x32 22x22'
  LORES='32x32 22x22 16x16'
  # files to remove
  REMOVALS='%{_datadir}/icons/xine.xpm %{_sysconfdir}/X11/wmconfig/xine %{_sysconfdir}/X11/applnk/Multimedia/xine.desktop /opt/gnome/share/pixmaps/xine.xpm /opt/gnome/share/gnome/apps/Multimedia/xine.desktop %{_datadir}/gnome/apps/Multimedia/xine.desktop /opt/kde2/share/applnk/Multimedia/xine.desktop /opt/kde3/share/applnk/Multimedia/xine.desktop  %{_datadir}/applnk/Multimedia/xine.desktop /opt/kde/share/icons/xine.xpm /opt/kde/share/applnk/Multimedia/xine.desktop %{_datadir}/applnk/Multimedia/xine.desktop'
  # remove files in $REMOVALS
  for remove in $REMOVALS; do
    rm -f $remove
  done
  # KDE2 icons
  for hires in $HIRES; do
    rm -f $DIR_HI/$hires/apps/xine.png
  done
  for lores in $LORES; do
    rm -f $DIR_LO/$lores/apps/xine.png
  done
  # KDE3 icons
  for hires in $HIRES; do
    rm -f $DIR_HI3/$hires/apps/xine.png
  done
  for lores in $LORES; do
    rm -f $DIR_LO3/$lores/apps/xine.png
  done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/*
%doc %{_datadir}/doc/xitk/*
%{_bindir}/*xine*
%{skindir}/*
%{deskdir}/*
%{_datadir}/pixmaps/*
%{_datadir}/xine/visuals/*
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/locale/*
/usr/share/applications/*


##
## Change log
##

%changelog
* Mon Mar 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
* Fri Feb 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
* Sat Jan 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 0.9.23
* Sat Aug 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 0.9.22
* Sat May 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://cambuca.ldhs.cetuc.puc-rio.br/xine/
- xine-ui-0.9.20cvs-030514.src.rpm
